#!/bin/sh
if [ `lspci -n | grep -c "1095:0680"` -ge 1 ]; then 
    bus=`lspci -n | grep "1095:0680" | cut -d" " -f1`
    device=`hwinfo --cdrom | grep $bus | grep "Device Files" | cut -d"," -f1 | cut -d":" -f2 | cut -d/ -f3`
    perl -p -i -e "s|vmlinuz|vmlinuz $device=ide-scsi|g" /boot/grub/menu.lst

    #load ide-scsi automatically on boot
    string=`grep "MODULES_LOADED_ON_BOOT" /etc/sysconfig/kernel`
    modules=`echo $string | cut -d= -f2| perl -p -i -e 's|"|"ide-scsi |'`
    perl -p -i -e "s|$string|MODULES_LOADED_ON_BOOT=$modules|" /etc/sysconfig/kernel
fi
